Subject: RE: Valid file-name characters
From: "Robert Collins" <[email-masked]>
To: "'Nicholas Wourms'" <[email-masked]>, "'David A. Cobb'" <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 22 Jul 2002 17:53:05 +1000

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Nicholas Wourms
> Sent: Monday, 22 July 2002 5:47 PM
> To: David A. Cobb
> Cc: [email-masked]
> Subject: Re: Valid file-name characters
> 
> 
> 
> --- egor duda <[email-masked]> wrote:
> > Hi!
> > 
> > Saturday, 20 July, 2002 David A. Cobb [email-masked] wrote:
> > 
> > DAC> Back in May (where I'm still trying to catch up) there was a
> > discussion 
> > DAC> starting at 
> http://www.cygwin.com/ml/cygwin/2002-> 05/msg01041.html 
> > DAC> 
> concerning a colon in a filename -- 
> valid in *nix, not in Windows. 
> > 
> > 
> > DAC> Also, we get repeated griping about the encoding of 
> URI's in the
> > local 
> > DAC> package cache.  
> > 
> > DAC> Would you consider a patch that translated filenames containing
> > special 
> > DAC> characters: the Cygwin user would see "aux:" but 
> Windows would see 
> > DAC> "aux%??" (I don't recall the encoding of colon)?
> > 
> > The only problem here is what to do if cygwin user wants to create
> > both aux: and aux%
> 
> Use the euro symbol (€)[Alt+0128] instead?  It is highly 
> unlikely that a
> user will want to create aux€.  Anyhow, I believe all 
> versions of windows
> (via windows update if necessary) have support for the €.

I was just about to suggest that whatever character is used is used as
an escape char rather than a literal replacement.

i.e. 
WIN32      CYGWIN
'aux%c' -> 'aux:'
'aux%%' -> 'aux%'

Cheers,
Rob 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/